0

I upgraded my Ubuntu 16 to Ubuntu 18 two days ago, and now I'm trying to run something (which was running smoothly on Ubuntu 16) but the following error raised

error while loading shared libraries: libboost_iostreams.so.1.58.0: cannot open shared object file: No such file or directory

How to solve this? Note: I'm completely new to Linux.

  • What exactly are you trying to run? Ubuntu 18 has newer versions of this library, so maybe the app you're running didn't get upgraded. – ajgringo619 Sep 13 at 22:46
  • I'm trying to run P4 code – Sana'a Ala'a Sep 13 at 22:50
  • Was it something you compiled yourself? If so, you probably have to rebuild it so that it links to the new libraries. – ajgringo619 Sep 13 at 22:59
  • It's not my code. I'm just trying to make some tests. So the problem can not be solved? – Sana'a Ala'a Sep 13 at 23:06
  • You should contact the developer. It could be as simple as recompiling the source or installing the xenial binary (not sure that's even possible; never tried it). – ajgringo619 Sep 13 at 23:11

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.